/**
 * XEntityClassPersonOrOrgReceiving2.java
 *
 * File generated from the medication2::XEntityClassPersonOrOrgReceiving2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEntityClassPersonOrOrgReceiving2.
 *
 * 
 */

@XmlType(name = "XEntityClassPersonOrOrgReceiving")
@XmlEnum
@XmlRootElement(name = "XEntityClassPersonOrOrgReceiving2")
public enum XEntityClassPersonOrOrgReceiving2 {
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    XEntityClassPersonOrOrgReceiving2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XEntityClassPersonOrOrgReceiving2 fromValue(String v) {
        for (XEntityClassPersonOrOrgReceiving2 c: XEntityClassPersonOrOrgReceiving2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
